Delete a theme

This code snippet shows how to delete a theme using the Meetings API.

See the API Reference for more information.

Where needed, replace the following variables in the sample code with your own values:

KeyDescription
JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

THEME_ID

The theme UUID.

Write the code

Add the following to delete-theme.sh:

curl -X DELETE "https://api-eu.vonage.com/meetings/themes/"$THEME_ID \
  -H "Authorization: Bearer $JWT"

View full source

Run your code

Save this file to your machine and run it:

sh delete-theme.sh

Prerequisites

pip install vonage

Create a file named request.py and add the following code:


import vonage

client = vonage.Client(
    application_id=VONAGE_APPLICATION_ID,
    private_key=VONAGE_PRIVATE_KEY,

View full source

Write the code

Add the following to request.py:

View full source

Run your code

Save this file to your machine and run it:

python request.py

Prerequisites

gem install vonage

Create a file named delete-theme.rb and add the following code:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: File.read(VONAGE_APPLICATION_PRIVATE_KEY_PATH)
)

View full source

Write the code

Add the following to delete-theme.rb:

client.meetings.themes.delete(theme_id: THEME_ID)

View full source

Run your code

Save this file to your machine and run it:

ruby delete-theme.rb